globus_rsl(3)

NAME
globus_rsl - Globus RSL

 - Resource Specification Language.

SYNOPSIS

  Topics

RSL Predicates
RSL Predicates.
RSL Constructors
RSL Constructors.
RSL Memory Management
RSL Memory Management.
RSL Accessor Functions
RSL Accessor Functions.
List Functions
List Functions.
RSL Value Accessors
RSL Value Accessors.
RSL Display
RSL Display.
RSL Helper Functions
RSL Helper Functions.

  Functions

globus_rsl_t * globus_rsl_parse (char *buf)
Parse an RSL string.

Detailed Description

Resource Specification Language.

The Globus RSL library is provides the following functionality:

•   RSL Predicates

•   RSL Constructors

•   RSL Memory Management

•   RSL Accessor Functions

•   RSL Value Accessors

•   RSL Display

•   globus_rsl_parse

•   List Functions

Function Documentation

  globus_rsl_t * globus_rsl_parse (char * buf)

Parse an RSL string. The globus_rsl_parse() function parses the string pointed to by the buf parameter into an RSL syntax tree. The caller is responsible for freeing that tree by calling globus_rsl_free_recursive().

Parameters
    buf A NULL-terminated string that contains an RSL relation or boolean composition.

Returns
    Upon success, the globus_rsl_parse() function returns the parse tree generated by processing its input. If an error occurs, globus_rsl_parse() returns NULL.

Author

Generated automatically by Doxygen for globus_rsl from the source code.